#
# spec file for package choose
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           choose
Version:        1.3.6
Release:        1.1
Summary:        A human-friendly and fast alternative to cut and (sometimes) awk
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/theryangeary/choose
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
BuildRequires:  cargo-packaging
BuildRequires:  libopenssl-devel

%description
A human-friendly and fast alternative to cut and (sometimes) awk.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Wed Oct  2 2024 Michael Vetter <mvetter@suse.com>
- Update to 1.3.6:
  * Fix windows asset name
  * Move linker flag to github workflow
* Tue Oct  1 2024 Michael Vetter <mvetter@suse.com>
- Update to 1.3.5:
  * Added several new build artifacts
  * Upgraded to rust 2021
  * Applied clippy suggestions
* Wed Jan 11 2023 Michael Vetter <mvetter@suse.com>
- Initial version of choose 1.3.4 for openSUSE
